<?php
namespace Models;

// Модель способов оплаты
class Paymentmethods extends \DB\SQL\Mapper {
	public $db;

	public function __construct($db) {
		parent::__construct($db, 'paymentmethods' ); // подключаемся к таблице способов оплаты
		$this->db=$db;
	}

	// Выборка методов оплаты
	function select_method($query=null, $options=null) {
		if(!$query) {
			$query=array('id>?', 0); // чтобы хоть что-то вставить в фильтры
		}

		// формируем сортировку и лимиты
		if(!$options) {
			$options=array('order'=>'id'); // Сортировка по умолчанию
		}
		// собственно сам запрос
		$methods=array();
		$this->load($query, $options);
		do {
			$methods[]=$this->cast();
		}
		while($this->skip());
		$this->reset();
		return $methods;
	}
}